//
//      Nodes.java
//
//      Original is written for GC Programm of Real World Computing Partnership 
//      Rewrited by Y.Motomura(motomura@etl.go.jp)
//

import java.util.*;

class Nodes extends Vector {

    Nodes() {
    }

/* "pickUpById"
   [args] int id : the key ID.
   [return] Node : the Node object which has the key ID.
                   if such node is not found, this returns null;
 */
    Node pickUpById(int id) {
	for (Enumeration e = elements(); e.hasMoreElements();) {
            Node node = (Node)e.nextElement();
	    if (node.nodeId == id) return node;
        }
        return null;
    }

    Node pickUpByName(String key) {
	for (Enumeration e = elements(); e.hasMoreElements();) {
            Node node = (Node)e.nextElement();
	    if (node.name.equals(key)) return node;
        }
        return null;
    }

     public void mkCondProb() {
        for (Enumeration e = elements(); e.hasMoreElements();) {
                   Node node = (Node)e.nextElement();
           if(node.child_f == true){
               node.mkCondProb();
           }
       }
     }
 
    public void setCondProb() {
        for (Enumeration e = elements(); e.hasMoreElements();) {
       	    Node node = (Node)e.nextElement();
	    if(node.child_f == true){
	    	node.setCondProb();
	    }
	}
    }

    public void addElement(Node n){
	super.addElement(n);
    } 
}




